IRPCLoginsAdmin.AddLogin

View as Markdown

Administration API / specialized admin session

Adds a login account to the server.

ServiceServer login accounts MFiles.IRPCLoginsAdmin
gRPC method/MFiles.IRPCLoginsAdmin/AddLogin
HTTP (mf-http-grpc)POST /grpc/v1/add-login
RequestAddLoginRequest
ResponseAddLoginResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: AddLoginRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
loginLoginThe new login. See Login.
login.account_typeAccountTypeAccount type (e.g. M-Files or Windows).Values: ACCOUNT_TYPE_UNINITIALIZED (0), ACCOUNT_TYPE_MFILES (1), ACCOUNT_TYPE_WINDOWS (2).
login.domain_namestringDomain name, if acctype is eAccountTypeWindows. Otherwise unset.
login.user_namestringUser name. Cannot be unset.
login.optionsSRVROLESBitmask of the server roles of the login.
login.options.allboolSpecifies all flags set; Including any future flags.
login.options.system_administratorboolSystem administrator (can perform any operation on the server). [ name( "vaultCreator" ) ] const SRVROLES SRVROLE_VAULT_CREATOR = ( 1 << 1 ); //!< Can create, modify and delete vaults. Can also restore vaults. [ name( "backupOperator" ) ] const SRVROLES SRVROLE_BACKUP_OPERATOR = ( 1 << 2 ); //!< Can back up vaults.
login.options.can_log_inboolCan log in. A login that does not have this role is disabled and cannot log in even if the login has the sysadmin role.
login.options.invalid_passwordboolThis special role indicates that the M-Files login does not yet have a valid password. MFAdmin uses this flag to force the user to define the password.
login.full_namestringThe full name of the user. May be unset.
login.email_addressstringThe email address of the user. May be unset.
login.license_typeLicenseTypeLicense type.Values: LICENSE_TYPE_NONE (0), LICENSE_TYPE_NAMED_USER_LICENSE (1), LICENSE_TYPE_CONCURRENT_USER_LICENSE (2), LICENSE_TYPE_READ_ONLY_LICENSE (3), LICENSE_TYPE_VISITOR_LICENSE (4).
login.credential_typeCredentialTypeCredential type.Values: CREDENTIAL_TYPE_USER (0), CREDENTIAL_TYPE_TECHNICAL (1).
login.client_idstringClient ID, if credentialtype is eCredentialTypeTechnical. Otherwise unset.
login.external_idstringThe user identity in external system, such as Microsoft Entra (where the identity is a GUID).
password_hashstringDeprecated; leave empty and use password_info.
password_infoPasswordInfoThe encrypted password hash of an M-Files login.
password_info.hashstringPassword hash.
password_info.hash_algorithmPasswordHashAlgorithmPassword hash algorithm.Values: PASSWORD_HASH_ALGORITHM_MD5 (0), PASSWORD_HASH_ALGORITHM_UNDEFINED (1), PASSWORD_HASH_ALGORITHM_PBKDF2_WITH_SHA512_AND100000_ITERS (2).
password_info.saltstringPassword salt.
password_info.encryptionPasswordEncryptionEncryption algorithm used to protect the password hash.Values: PASSWORD_ENCRYPTION_RC4 (0), PASSWORD_ENCRYPTION_UNENCRYPTED (1), PASSWORD_ENCRYPTION_AES256 (2).

Response: AddLoginResponse

No fields.